name: Sure Tests
on: [push, pull_request]

jobs:
  python:
    name: "Python"
    runs-on: ubuntu-latest
    strategy:
      matrix:
        python:
          - "3.9"
          - "3.7"
          - "3.10"
          - "3.11"
          - "3.6"
          - "3.8"

    steps:
    - uses: actions/checkout@v3
    - name: Install python version
      uses: gabrielfalcao/pyenv-action@v12
      with:
        default: "${{ matrix.python }}"
        command: pip install -U pip setuptools

    - name: Install dependencies
      run: pip install -r development.txt

    - name: Install sure
      run: pip install -e .

    - name: Run tests via pytest
      run: pytest -vv

    # - name: Run tests via nose
    #   run: nosetests --verbosity 2
  #
  # oldschool:
  #   name: "Old School Python"
  #   runs-on: ubuntu-18.04
  #   strategy:
  #     matrix:
  #       python:
  #         - "2.7"
  #         - "3.6"
  #         - "3.7"
  #
  #   steps:
  #   - uses: actions/checkout@v3
  #   - name: Install python version
  #     uses: gabrielfalcao/pyenv-action@v12
  #     with:
  #       default: "${{ matrix.python }}"
  #       command: pip install -U pip setuptools
  #
  #   - name: Install dependencies
  #     run: pip install -r development.txt
  #
  #   - name: Install sure
  #     run: pip install -e .
  #
  #   - name: Run tests via nose
  #     run: nosetests --verbosity 2
  #
  #   - name: Run tests via pytest
  #     run: pytest -vv
